--[[
SCRIPT_ALL_UNITS_OF_GROUP.LUA:
INTERFACE

script_timeout = 20;
name_of_script = "dofile(\"Scripts/templates/group/move.lua\");";

END
--]]
dofile("Scripts/utils.lua");

function Main()
	AIparts:Run();
end

function ScriptToAllUnit()
	--log("Move group");
	list = group.GetUnitList();
	local k = group.GetCount();
	--log("count = "..k);
	for i = 1, k do
		DoObjectScript(list[i], name_of_script);
	end;
end;

function Initialize()
	--log("Initialize");
	AIparts = utils.CreateSubsystems();
	AIparts:AddOneTime("ScriptToAllUnit", script_timeout, ScriptToAllUnit);
end;

Initialize();
